%define name	schedtop
%define version	1.0
%define release	%mkrel 2

Summary: 	Displays scheduler statistics
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		System/Kernel and hardware
URL: 		ftp://ftp.novell.com/dev/ghaskins/schedtop.tar.gz
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	boost-devel ncurses-devel gcc-c++

%description
This utility will process statistics from /proc/schedstat such that the
busiest stats will bubble up to the top.  It can alternately be sorted by
the largest stat, or by name.  Stats can be included or excluded based on
reg-ex pattern matching.

Authors
--------------------------
  Gregory Haskins <ghaskins@novell.com>


%prep
%setup -q

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT/usr

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}


%changelog
* Thu Mar 26 2009 Funda Wang <fundawang@mandriva.org> 1.0-2mdv2009.1
+ Revision: 361283
- rebuild for new boost

  + trem <trem@mandriva.org>
    - update to 1.0

* Mon Dec 22 2008 Funda Wang <fundawang@mandriva.org> 0.5-3mdv2009.1
+ Revision: 317404
- rebuild for new boost

* Tue Aug 19 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.5-2mdv2009.0
+ Revision: 273513
- rebuild against new boost

* Wed Jun 18 2008 trem <trem@mandriva.org> 0.5-1mdv2009.0
+ Revision: 225621
- add BuildRequires boost-devel ncurses-devel gcc-c++
- add description
- import schedtop


